<
From version < 7.1 >
edited by Simon Urli
on 2021/02/23
To version < 7.2 >
edited by Simon Urli
on 2021/02/23
>
Change comment: Added backward-compatiblity violations data

Summary

Details

ReleaseNotes.BackwardCompatibility[0]
Violations
... ... @@ -1,0 +1,40 @@
1 +<?xml version="1.0" encoding="UTF-8"?><ignores>
2 +
3 + <item xmlns="http://maven.apache.org/POM/4.0.0">
4 +
5 + <code>java.method.removed</code>
6 +
7 + <old>method org.jodconverter.document.DocumentFormatRegistry org.xwiki.officeimporter.converter.OfficeConverter::getFormatRegistry()</old>
8 +
9 + <justification>This API has been removed to avoid future issues with the exposure of Jodconverter classes when upgrading. Some API have been introduced that should cover most of the usecases.</justification>
10 +
11 + </item>
12 +
13 + <item xmlns="http://maven.apache.org/POM/4.0.0">
14 +
15 + <code>java.method.returnTypeChanged</code>
16 +
17 + <old>method org.xwiki.security.authentication.api.AuthenticationConfiguration org.xwiki.security.authentication.script.AuthenticationScriptService::getAuthenticationConfiguration()</old>
18 +
19 + <new>method org.xwiki.security.authentication.AuthenticationConfiguration org.xwiki.security.authentication.script.AuthenticationScriptService::getAuthenticationConfiguration()</new>
20 +
21 + <justification>AuthenticationConfiguration has only been moved to a new package, so it should not be breaking for people using this API in scripts.</justification>
22 +
23 + </item>
24 +
25 + <item xmlns="http://maven.apache.org/POM/4.0.0">
26 +
27 + <code>java.annotation.removed</code>
28 +
29 + <old>class com.xpn.xwiki.web.LegacyActionServlet</old>
30 +
31 + <new>class com.xpn.xwiki.web.LegacyActionServlet</new>
32 +
33 + <annotation>@javax.servlet.annotation.MultipartConfig</annotation>
34 +
35 + <justification>Not a breakage. Annotation has been replaced by an entry in web.xml.</justification>
36 +
37 + </item>
38 +
39 +</ignores>
40 +

Get Connected